<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.17"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Under Water Drone: rotationMatrix.hh Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Under Water Drone
   &#160;<span id="projectnumber">1.0</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.17 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('rotation_matrix_8hh_source.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">rotationMatrix.hh</div>  </div>
</div><!--header-->
<div class="contents">
<a href="rotation_matrix_8hh.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="preprocessor">#pragma once</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160; </div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_matrix_8hh.html">Matrix.hh</a>&quot;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_vector_8hh.html">Vector.hh</a>&quot;</span></div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160; </div>
<div class="line"><a name="l00009"></a><span class="lineno"><a class="line" href="class_rotation_matrix.html">    9</a></span>&#160;<span class="keyword">class </span><a class="code" href="class_rotation_matrix.html">RotationMatrix</a> {</div>
<div class="line"><a name="l00013"></a><span class="lineno"><a class="line" href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">   13</a></span>&#160;    <a class="code" href="class_matrix.html">Matrix&lt;double, 3&gt;</a> <a class="code" href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">rotationMatrix_</a>;</div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160; </div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;  <span class="keyword">public</span>:</div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;    <span class="keyword">explicit</span> <a class="code" href="class_rotation_matrix.html#a219ed4eb9e048a1b20b0ac9989907228">RotationMatrix</a>(<span class="keyword">const</span> <span class="keywordtype">double</span> &amp;angle);</div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160; </div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;    <a class="code" href="class_rotation_matrix.html#a219ed4eb9e048a1b20b0ac9989907228">RotationMatrix</a>(<span class="keyword">const</span> <span class="keywordtype">double</span> &amp;angle, <span class="keyword">const</span> <span class="keywordtype">double</span> &amp;frames);</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160; </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    <a class="code" href="class_vector.html">Vector3D</a> <a class="code" href="class_rotation_matrix.html#a117715aa3a66d96a6090a308c94f3b9f">operator*</a>(<span class="keyword">const</span> <a class="code" href="class_vector.html">Vector3D</a> &amp;vector) <span class="keyword">const</span>;</div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;};</div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160; </div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160; </div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<div class="ttc" id="aclass_rotation_matrix_html_a219ed4eb9e048a1b20b0ac9989907228"><div class="ttname"><a href="class_rotation_matrix.html#a219ed4eb9e048a1b20b0ac9989907228">RotationMatrix::RotationMatrix</a></div><div class="ttdeci">RotationMatrix(const double &amp;angle)</div><div class="ttdoc">Constructor for RotationMatrix class.</div><div class="ttdef"><b>Definition:</b> <a href="rotation_matrix_8cpp_source.html#l00005">rotationMatrix.cpp:5</a></div></div>
<div class="ttc" id="aclass_rotation_matrix_html_a117715aa3a66d96a6090a308c94f3b9f"><div class="ttname"><a href="class_rotation_matrix.html#a117715aa3a66d96a6090a308c94f3b9f">RotationMatrix::operator*</a></div><div class="ttdeci">Vector3D operator*(const Vector3D &amp;vector) const</div><div class="ttdoc">Matrix multiplication by a vector.</div><div class="ttdef"><b>Definition:</b> <a href="rotation_matrix_8cpp_source.html#l00033">rotationMatrix.cpp:33</a></div></div>
<div class="ttc" id="aclass_rotation_matrix_html_ae458309f776bc461c658027acd17d009"><div class="ttname"><a href="class_rotation_matrix.html#ae458309f776bc461c658027acd17d009">RotationMatrix::rotationMatrix_</a></div><div class="ttdeci">Matrix&lt; double, 3 &gt; rotationMatrix_</div><div class="ttdoc">Variable containing the rotation matrix.</div><div class="ttdef"><b>Definition:</b> <a href="rotation_matrix_8hh_source.html#l00013">rotationMatrix.hh:13</a></div></div>
<div class="ttc" id="aclass_rotation_matrix_html"><div class="ttname"><a href="class_rotation_matrix.html">RotationMatrix</a></div><div class="ttdoc">Models the concept of the rotation matrix of geometric object.</div><div class="ttdef"><b>Definition:</b> <a href="rotation_matrix_8hh_source.html#l00009">rotationMatrix.hh:9</a></div></div>
<div class="ttc" id="a_vector_8hh_html"><div class="ttname"><a href="_vector_8hh.html">Vector.hh</a></div></div>
<div class="ttc" id="a_matrix_8hh_html"><div class="ttname"><a href="_matrix_8hh.html">Matrix.hh</a></div></div>
<div class="ttc" id="aclass_vector_html"><div class="ttname"><a href="class_vector.html">Vector&lt; double, 3 &gt;</a></div></div>
<div class="ttc" id="aclass_matrix_html"><div class="ttname"><a href="class_matrix.html">Matrix&lt; double, 3 &gt;</a></div></div>
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_167790342fb55959539d550b874be046.html">project</a></li><li class="navelem"><a class="el" href="dir_0e6a83f483eb86bac30676662de98147.html">inc</a></li><li class="navelem"><a class="el" href="rotation_matrix_8hh.html">rotationMatrix.hh</a></li>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.17 </li>
  </ul>
</div>
</body>
</html>
